﻿using DataModels;
using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
	public class TaskBindingModel : ITaskModel
	{
		public int Id { get; set; }
		public string SHORT_DESC { get; set; } = string.Empty;
		public string DESCRIPTION { get; set;} = string.Empty;
		public DateTime DEADLINE { get; set; }
		public int ProjectId { get; set; }
		public int TagGroupId { get; set; }
		public MyTaskStatus Status { get; set; } = MyTaskStatus.Неизвестен;
		public Dictionary<int, string> TaskPerformers
		{
			get;
			set;
		} = new();
	}
}
