﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface IPerformerLogic
	{
		List<PerformerViewModel>? ReadList(PerformerSearchModel? model);
		PerformerViewModel? ReadElement(PerformerSearchModel model);
		bool Create(PerformerBindingModel model);
		bool Update(PerformerBindingModel model);
		bool Delete(PerformerBindingModel model);
	}
}
