﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface ITeamLogic
	{
		List<TeamViewModel>? ReadList(TeamSearchModel? model);
		TeamViewModel? ReadElement(TeamSearchModel model);
		bool Create(TeamBindingModel model);
		bool Update(TeamBindingModel model);
		bool Delete(TeamBindingModel model);
	}
}
