﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StoragesContracts
{
	public interface IPerformerStorage
	{
		List<PerformerViewModel> GetFullList();
		List<PerformerViewModel> GetFilteredList(PerformerSearchModel model);
		PerformerViewModel? GetElement(PerformerSearchModel model);
		PerformerViewModel? Insert(PerformerBindingModel model);
		PerformerViewModel? Update(PerformerBindingModel model);
		PerformerViewModel? Delete(PerformerBindingModel model);
	}
}
