﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StoragesContracts
{
	public interface IProjectStorage
	{
		List<ProjectViewModel> GetFullList();
		List<ProjectViewModel> GetFilteredList(ProjectSearchModel model);
		ProjectViewModel? GetElement(ProjectSearchModel model);
		ProjectViewModel? Insert(ProjectBindingModel model);
		ProjectViewModel? Update(ProjectBindingModel model);
		ProjectViewModel? Delete(ProjectBindingModel model);
	}
}
