﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StoragesContracts
{
	public interface ITaskStorage
	{
		List<TaskViewModel> GetFullList();
		TaskViewModel? GetElement(TaskSearchModel model);
		TaskViewModel? Insert(TaskBindingModel model);
		TaskViewModel? Update(TaskBindingModel model);
		TaskViewModel? Delete(TaskBindingModel model);
	}
}
