﻿using DataModels.Models;
using DataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.ViewModels
{
	public class TaskViewModel : ITaskModel
	{
		[DisplayName("Номер")]
		public int Id { get; set; }

		[DisplayName("Задача")]
		public string SHORT_DESC { get; set; } = string.Empty;

		[DisplayName("Описание")]
		public string DESCRIPTION { get; set; } = string.Empty;

		[DisplayName("Статус")]
		public MyTaskStatus Status { get; set; }

		[DisplayName("Дедлайн")]
		public DateTime DEADLINE { get; set; }

		public int ProjectId { get; set; }
		[DisplayName("Проект")]
		public string ProjectName { get; set; } = string.Empty;

		public int TagGroupId { get; set; }
		[DisplayName("Тег")]
		public string TagName { get; set; } = string.Empty;

		public Dictionary<int, string> TaskPerformers
		{
			get;
			set;
		} = new();
	}
}
