﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DatabaseImplement.Models
{
	public class TaskPerformers
	{
		public int Id { get; set; }

		[Required]
		public int TaskId { get; set; }

		[Required]
		public int PerformerId { get; set; }

		[Required]
		public virtual Task Task { get; set; } = new();
		public virtual Performer Performer { get; set; } = new();
	}
}
