﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface ICommentLogic
	{
		List<CommentViewModel>? ReadList(CommentSearchModel? model);
		CommentViewModel? ReadElement(CommentSearchModel model);
		bool Create(CommentBindingModel model);
		bool Update(CommentBindingModel model);
		bool Delete(CommentBindingModel model);
	}
}
