﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface IProjectLogic
	{
		List<ProjectViewModel>? ReadList(ProjectSearchModel? model);
		ProjectViewModel? ReadElement(ProjectSearchModel model);
		bool Create(ProjectBindingModel model);
		bool Update(ProjectBindingModel model);
		bool Delete(ProjectBindingModel model);
	}
}
