﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface ITagGroupLogic
	{
		List<TagGroupViewModel>? ReadList(TagGroupSearchModel? model);
		TagGroupViewModel? ReadElement(TagGroupSearchModel model);
		bool Create(TagGroupBindingModel model);
		bool Update(TagGroupBindingModel model);
		bool Delete(TagGroupBindingModel model);
	}
}
