﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BusinessLogicContracts
{
	public interface ITaskLogic
	{
		List<TaskViewModel>? ReadList(TaskSearchModel? model);
		bool CreateTask(TaskBindingModel model);
		bool TakeTaskInWork(TaskBindingModel model);
		bool FinishTask(TaskBindingModel model);
	}
}
