﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StoragesContracts
{
	public interface ITagGroupStorage
	{
		List<TagGroupViewModel> GetFullList();
		List<TagGroupViewModel> GetFilteredList(TagGroupSearchModel model);
		TagGroupViewModel? GetElement(TagGroupSearchModel model);
		TagGroupViewModel? Insert(TagGroupBindingModel model);
		TagGroupViewModel? Update(TagGroupBindingModel model);
		TagGroupViewModel? Delete(TagGroupBindingModel model);
	}
}
