﻿using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.StoragesContracts
{
	public interface ITeamStorage
	{
		List<TeamViewModel> GetFullList();
		List<TeamViewModel> GetFilteredList(TeamSearchModel model);
		TeamViewModel? GetElement(TeamSearchModel model);
		TeamViewModel? Insert(TeamBindingModel model);
		TeamViewModel? Update(TeamBindingModel model);
		TeamViewModel? Delete(TeamBindingModel model);
	}
}
