﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataModels.Models
{
	public interface ITaskModel : IId
	{
		string SHORT_DESC { get; }
		string DESCRIPTION { get; }
		DateTime DEADLINE { get; }
		int ProjectId { get; }
		int TagGroupId { get; }
		MyTaskStatus Status { get; }
		Dictionary<int, string> TaskPerformers { get; } //комментарии к задаче
	}
}
