﻿using DatabaseImplement.Models;
using Microsoft.EntityFrameworkCore;
using Task = DatabaseImplement.Models.Task;

namespace DatabaseImplement
{ 
	public class TaskTrackerDatabase : DbContext
	{
		protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
		{
			if (optionsBuilder.IsConfigured == false)
			{
				optionsBuilder.UseNpgsql(@"Host=192.168.56.113;Port=5432;Database=tasktracker;Username=milana;Password=manjaro;");
			}
			base.OnConfiguring(optionsBuilder);
			AppContext.SetSwitch("Npgsql.EnableLegacyTimestampBehavior", true);
			AppContext.SetSwitch("Npgsql.DisableDateTimeInfinityConversions", true);
		}
		public virtual DbSet<Task> Tasks { set; get; }
		public virtual DbSet<Comment> Comments { set; get; }
		public virtual DbSet<Team> Teams { set; get; }
		public virtual DbSet<TagGroup> TagGroups { set; get; }
		public virtual DbSet<Performer> Performers { set; get; }
		public virtual DbSet<Project> Projects { set; get; }
		public virtual DbSet<TaskPerformers> TaskPerformers { set; get; }
	}
}
